summaryrefslogtreecommitdiff
path: root/printproto/autogen.sh
diff options
context:
space:
mode:
authorKeith Packard <keithp@keithp.com>2010-04-06 14:17:47 -0700
committerKeith Packard <keithp@keithp.com>2010-04-06 14:17:47 -0700
commit3dacd083fb30dc36f9aad059b9f90c94e3d77e72 (patch)
tree594902c29a6cf025d4cc889fe619777a3a796603 /printproto/autogen.sh
parent9e6c8e70f749e845c9aa9c7ca25eaa478a74fcf8 (diff)
parent0e5fa20f17cb7d7c7244ffbe1330f89c16e466c4 (diff)
Merge remote branch 'printproto/master'
Diffstat (limited to 'printproto/autogen.sh')
-rwxr-xr-xprintproto/autogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/printproto/autogen.sh b/printproto/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/printproto/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"